--------------------------------------------------
--        Crashday&Flatout mod v 1.1            --
--------------------------------------------------



if sample==nil then sample={} end
sample.classes={}

-----------------------
-- INITIAL SETUP     --
-----------------------
function initArray(m)
	local array = {}
	for i = 1, m do
		array[i]=0
	end
	return array
end
sample.classes.class=initArray(32)
function sample.classes.classmenu(id)
	menu(id,"Choose your car,Chili|100/100/60,Stug|125/150/58,Rage|90/100/63,Stallione|110/110/59,Crasher|100/50/62,Sabre|100/80/60")	
end


-----------------------
-- TEAM -> CLASS     --
-----------------------
addhook("team","sample.classes.team")
function sample.classes.team(id,team)
	if (team>0) then
		sample.classes.classmenu(id)
	end
end


-----------------------
-- SERVERACTION      --
-----------------------
addhook("serveraction","sample.classes.serveraction")
function sample.classes.serveraction(id)
	sample.classes.classmenu(id)
end


-----------------------
-- CAR SELECTION     --
-----------------------
addhook("menu","sample.classes.menu")
function sample.classes.menu(id,menu,sel)
	if (menu=="Choose your car") then
		if (sel>=0 and sel<=6) then
			sample.classes.class[id]=sel
			if (player(id,"health")>0) then
				parse("killplayer "..id)
			end
		end
	end
end


-----------------------
-- SPAWN             --
-----------------------
addhook("spawn","sample.classes.spawn")
function sample.classes.spawn(id)
	
-- Chili
	if (sample.classes.class[id]==1) then
		setcar(id,"gfx/CF_cars/chili.bmp",100,100,60,1.0,0,0)
	end
	
-- Stug
	if (sample.classes.class[id]==2) then
		setcar(id,"gfx/CF_cars/stug.bmp",125,150,58,1.0,0,0)
	end
	
-- Rage
	if (sample.classes.class[id]==3) then
		setcar(id,"gfx/CF_cars/rage.bmp",90,100,63,1.0,0,0)
	end
		
-- Stallione
	if (sample.classes.class[id]==4) then
		setcar(id,'gfx/CF_cars/stallione.bmp',110,110,59,1.0,0,0)
	end
	
-- Crasher
	if (sample.classes.class[id]==5) then
		setcar(id,'gfx/CF_cars/crasher.bmp',100,50,62,1.0,0,0)
	end

-- Sabre
	if (sample.classes.class[id]==6) then
		setcar(id,'gfx/CF_cars/sabre.bmp',80,100,60,1.0,0,0)
	end

	return "85,23";
end

function setcar(id,carimg,hp,ap,spd,alpha,wepn1,wepn2)
		freeimage(id)
		parse ("setmaxhealth "..id.." "..hp)
		parse ("setarmor "..id.." "..ap)
		parse ("speedmod "..id.." "..spd)
		id1=image(carimg,1,1,200+id)
  		imagescale(id1,1,1) 
		imageblend(id1,0) 
		imagealpha(id1,1.0)
		if (player(id,"team") == 1) then 
           imagecolor(id1,255,255,255)
	end
end

-----------------------
-- NO BUYING         --
-----------------------
addhook("buy","sample.classes.buy")
function sample.classes.buy()
	return 1
end


-----------------------
-- NO COLLECTING     --
-----------------------
addhook("walkover","sample.classes.walkover")
function sample.classes.walkover(id,iid,type)
	if (type>=61 and type<=68) then
		return 0
	else
	return 1
	end
end


-----------------------
-- NO DROPPING       --
-----------------------
addhook("drop","sample.classes.drop")
function sample.classes.drop()
	return 1
end


-----------------------
-- NO DEAD DROPPING  --
-----------------------
addhook("die","sample.classes.die")
function sample.classes.die()
	return 1
end




if adm==nil then adm={}
adm.classes={}
end

if sample==nil then sample={}
sample.console={}
end

if sample==nil then sample={}
sample.ads={}
end

parse('hudtxt 4 "100255100Crashday&Flatout mod v 2.0" 247 13')
parse("mp_infammo 0")
parse("sv_gamemode 2")


addhook("minute","adm.classes.minute")
function adm.classes.minute()
	msg("000255250Crashday&Flatout v 2.0")
	msg("100197167Creator - Fapicon_rus")
	msg("100197167Debugger - Vectar666")
	msg("100100167Released: 28.11.2009")
	msg("100100167Version: 2.0")
end

addhook("join","sample.ads.join")
function sample.ads.join(p)
	msg2(p,"18582006Welcome to race server, "..player(p,"name").."!")
end

function toTable(t,match)
     local cmd = {}
     if not match then
          match = "[^%s]+"
     else
          match = "[^"..match.."]+"
     end
     for word in string.gmatch(t, match) do
          table.insert(cmd, word)
     end
     return cmd
end

function readfromfile(path) --This will return an array (or false if file isn't found)
     local file = io.open(path,"r")
     if file then
          local tbl = toTable(file:read("*a"),"\n")
          file:close()
          return tbl
     else
          return false
     end
end 